Ask Your Question

Revision history [back]

Invocation of Black when using Python 3.10 should be fixed in our next release (version 8.2). We will still end up sending --target-version on the command line when we invoke it, since its default is to auto-detect based on the file contents and it seems better to be explicit about which Python version is being used. We may revisit later, though, as it'll probably become an issue again with Python 3.11.